#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int N, A, i;
    double P;      
    1<=N<=100000;
    1<=A<=1000000;
    0<=P<=00
    cin>>N;
    cin>>A>>P>>i;
    
    return 0;
}